/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package Server;

import java.net.ServerSocket;
import java.net.Socket;

/**
 *
 * @author jose
 */
public class ConectionManager {
    public ConectionManager(){}
    public void start(){

      try
      {
         int i = 1;
         ServerSocket s = new ServerSocket(12345);

         for (;;)
         {
            Socket incoming = s.accept( );
            
            Thread t = new ServeClient(incoming);
            t.start();
            i++;
         }
      }
      catch (Exception e)
      {
         e.printStackTrace();
      }
    }
}
